Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.VmOperations

    java.lang.Object
      java.lang.Enum<Types.VmOperations>
          com.xensource.xenapi.Types.VmOperations

All Implemented Interfaces:
  Serializable, Comparable<Types.VmOperations>

Enclosing class:
  Types

    public static enum Types.VmOperations

extends Enum<Types.VmOperations>

Enum Constant Summary
`ASSERT_OPERATION_VALID`
`AWAITING_MEMORY_LIVE` Waiting for the memory settings to change
`CHANGING_DYNAMIC_RANGE` Changing the memory dynamic range
`CHANGING_MEMORY_LIMITS` Changing the memory limits
`CHANGING_MEMORY_LIVE` Changing the memory settings
`CHANGING_SHADOW_MEMORY` Changing the shadow memory for a halted VM.
`CHANGING_SHADOW_MEMORY_LIVE` Changing the shadow memory for a running VM.
`CHANGING_STATIC_RANGE` Changing the memory static range
`CHANGING_VCPUS` Changing VCPU settings for a halted VM.
`CHANGING_VCPUS_LIVE` Changing VCPU settings for a running VM.
`CHECKPOINT` refers to the operation "checkpoint"
`CLEAN_REBOOT` refers to the operation "clean_reboot"
`CLEAN_SHUTDOWN` refers to the operation "clean_shutdown"
`CLONE` refers to the operation "clone"
`COPY` refers to the operation "copy"
`CREATE_TEMPLATE` refers to the operation "create_template"
`CSVM` refers to the operation "csvm"
`DATA_SOURCE_OP` Add, remove, query or list data sources
`DESTROY` refers to the act of uninstalling the VM
`EXPORT` exporting a VM to a network stream
`GET_BOOT_RECORD` refers to the operation "get_boot_record"
`HARD_REBOOT` refers to the operation "hard_reboot"
`HARD_SHUTDOWN` refers to the operation "hard_shutdown"
`IMPORT` importing a VM from a network stream
`MAKE_INTO_TEMPLATE` Turning this VM into a template
`METADATA_EXPORT` exporting VM metadata to a network stream
`MIGRATE_SEND` refers to the operation "migrate_send"
`PAUSE` refers to the operation "pause"
`POOL_MIGRATE` refers to the operation "pool_migrate"
`POWER_STATE_RESET` refers to the operation "power_state_reset"
`PROVISION` refers to the operation "provision"
`QUERY_SERVICES` refers to the operation "query_services"
`RESUME` refers to the operation "resume"
`RESUME_ON` refers to the operation "resume_on"
`REVERT` refers to the operation "revert"
`REVERTING` Reverting the VM to a previous snapshotted state
`SEND_SYSRQ` refers to the operation "send_sysrq"
`SEND_TRIGGER` refers to the operation "send_trigger"
`SHUTDOWN` refers to the operation "shutdown"
`SNAPSHOT` refers to the operation "snapshot"
`SNAPSHOT_WITH_QUIESCE` refers to the operation "snapshot_with_quiesce"
`START` refers to the operation "start"
`START_ON` refers to the operation "start_on"
`SUSPEND` refers to the operation "suspend"
`UNPAUSE` refers to the operation "unpause"
`UNRECOGNIZED` The value does not belong to this enumeration
`UPDATE_ALLOWED_OPERATIONS`

Method Summary
`String` | `toString()`
`static Types.VmOperations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.VmOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.VmOperations UNRECOGNIZED

  The value does not belong to this enumeration

### SNAPSHOT

    public static final Types.VmOperations SNAPSHOT

  refers to the operation "snapshot"

### CLONE

    public static final Types.VmOperations CLONE

  refers to the operation "clone"

### COPY

    public static final Types.VmOperations COPY

  refers to the operation "copy"

### CREATE_TEMPLATE

    public static final Types.VmOperations CREATE_TEMPLATE

  refers to the operation "create_template"

### REVERT

    public static final Types.VmOperations REVERT

  refers to the operation "revert"

### CHECKPOINT

    public static final Types.VmOperations CHECKPOINT

  refers to the operation "checkpoint"

### SNAPSHOT_WITH_QUIESCE

    public static final Types.VmOperations SNAPSHOT_WITH_QUIESCE

  refers to the operation "snapshot_with_quiesce"

### PROVISION

    public static final Types.VmOperations PROVISION

  refers to the operation "provision"

### START

    public static final Types.VmOperations START

  refers to the operation "start"

### START_ON

    public static final Types.VmOperations START_ON

  refers to the operation "start_on"

### PAUSE

    public static final Types.VmOperations PAUSE

  refers to the operation "pause"

### UNPAUSE

    public static final Types.VmOperations UNPAUSE

  refers to the operation "unpause"

### CLEAN_SHUTDOWN

    public static final Types.VmOperations CLEAN_SHUTDOWN

  refers to the operation "clean_shutdown"

### CLEAN_REBOOT

    public static final Types.VmOperations CLEAN_REBOOT

  refers to the operation "clean_reboot"

### HARD_SHUTDOWN

    public static final Types.VmOperations HARD_SHUTDOWN

  refers to the operation "hard_shutdown"

### POWER_STATE_RESET

    public static final Types.VmOperations POWER_STATE_RESET

  refers to the operation "power_state_reset"

### HARD_REBOOT

    public static final Types.VmOperations HARD_REBOOT

  refers to the operation "hard_reboot"

### SUSPEND

    public static final Types.VmOperations SUSPEND

  refers to the operation "suspend"

### CSVM

    public static final Types.VmOperations CSVM

  refers to the operation "csvm"

### RESUME

    public static final Types.VmOperations RESUME

  refers to the operation "resume"

### RESUME_ON

    public static final Types.VmOperations RESUME_ON

  refers to the operation "resume_on"

### POOL_MIGRATE

    public static final Types.VmOperations POOL_MIGRATE

  refers to the operation "pool_migrate"

### MIGRATE_SEND

    public static final Types.VmOperations MIGRATE_SEND

  refers to the operation "migrate_send"

### GET_BOOT_RECORD

    public static final Types.VmOperations GET_BOOT_RECORD

  refers to the operation "get_boot_record"

### SEND_SYSRQ

    public static final Types.VmOperations SEND_SYSRQ

  refers to the operation "send_sysrq"

### SEND_TRIGGER

    public static final Types.VmOperations SEND_TRIGGER

  refers to the operation "send_trigger"

### QUERY_SERVICES

    public static final Types.VmOperations QUERY_SERVICES

  refers to the operation "query_services"

### SHUTDOWN

    public static final Types.VmOperations SHUTDOWN

  refers to the operation "shutdown"

### CHANGING_MEMORY_LIVE

    public static final Types.VmOperations CHANGING_MEMORY_LIVE

  Changing the memory settings

### AWAITING_MEMORY_LIVE

    public static final Types.VmOperations AWAITING_MEMORY_LIVE

  Waiting for the memory settings to change

### CHANGING_DYNAMIC_RANGE

    public static final Types.VmOperations CHANGING_DYNAMIC_RANGE

  Changing the memory dynamic range

### CHANGING_STATIC_RANGE

    public static final Types.VmOperations CHANGING_STATIC_RANGE

  Changing the memory static range

### CHANGING_MEMORY_LIMITS

    public static final Types.VmOperations CHANGING_MEMORY_LIMITS

  Changing the memory limits

### CHANGING_SHADOW_MEMORY

    public static final Types.VmOperations CHANGING_SHADOW_MEMORY

  Changing the shadow memory for a halted VM.

### CHANGING_SHADOW_MEMORY_LIVE

    public static final Types.VmOperations CHANGING_SHADOW_MEMORY_LIVE

  Changing the shadow memory for a running VM.

### CHANGING_VCPUS

    public static final Types.VmOperations CHANGING_VCPUS

  Changing VCPU settings for a halted VM.

### CHANGING_VCPUS_LIVE

    public static final Types.VmOperations CHANGING_VCPUS_LIVE

  Changing VCPU settings for a running VM.

### ASSERT_OPERATION_VALID

    public static final Types.VmOperations ASSERT_OPERATION_VALID

### DATA_SOURCE_OP

    public static final Types.VmOperations DATA_SOURCE_OP

  Add, remove, query or list data sources

### UPDATE_ALLOWED_OPERATIONS

    public static final Types.VmOperations UPDATE_ALLOWED_OPERATIONS

### MAKE_INTO_TEMPLATE

    public static final Types.VmOperations MAKE_INTO_TEMPLATE

  Turning this VM into a template

### IMPORT

    public static final Types.VmOperations IMPORT

  importing a VM from a network stream

### EXPORT

    public static final Types.VmOperations EXPORT

  exporting a VM to a network stream

### METADATA_EXPORT

    public static final Types.VmOperations METADATA_EXPORT

  exporting VM metadata to a network stream

### REVERTING

    public static final Types.VmOperations REVERTING

  Reverting the VM to a previous snapshotted state

### DESTROY

    public static final Types.VmOperations DESTROY

  refers to the act of uninstalling the VM

Method Detail

### values

    public static Types.VmOperations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.VmOperations c : Types.VmOperations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.VmOperations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.VmOperations>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD